# Add task

| **Description** | Add a task        |
| --------------- | ----------------- |
| **Endpoint**    | `/path/setUpTask` |
| **Method**      | POST              |

### Access Level Rules

| **Minimum Access Level** | edit+ on the parent folder or account holder in the root |
| ------------------------ | -------------------------------------------------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="257">Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th><th data-hidden>Default</th></tr></thead><tbody><tr><td><code>type</code></td><td>Must be "copernicusImport", "geodatabaseImport", "shapeImport" or "geopackageImport".</td><td>true</td><td></td><td>true</td><td></td></tr><tr><td><code>parameters</code></td><td><p>JSON with properties:</p><ul><li>collection: Must be 'sentinel2' or 'sentinel1' (required in case of copernicusImport)</li><li>title: title  of the import (required in case of copernicusImport)</li><li>thumbnail: optional thumbnail for a compernicusImport (optional in case of copernicusImport)</li><li>name: string (required in case of non copernicusImports)</li><li>pathId: id of the Ellipsis Drive folder to place the import in. Can be null.</li></ul></td><td>true</td><td></td><td></td><td></td></tr><tr><td><code>data</code></td><td>A file to upload (not required in the case of non copernicusImport)</td><td>false</td><td>Default null.</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-setuptasks/add-task.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
